Package org.eclipse.emf.cdo.explorer.repositories

# Enum Class CDORepository.VersioningMode

java.lang.Object
java.lang.Enum<CDORepository.VersioningMode>
org.eclipse.emf.cdo.explorer.repositories.CDORepository.VersioningMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CDORepository.VersioningMode>`, `Constable`

Enclosing interface:
  `CDORepository`

public static enum CDORepository.VersioningMode extends Enum<CDORepository.VersioningMode>
Enumerates the possible `versioning modes` of a `repository`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Auditing`
`Branching`
`Normal`

## Method Summary

Modifier and Type
Method
Description
`static CDORepository.VersioningMode`
`from(CDORepositoryInfo repositoryInfo)`
`boolean`
`isSupportingAudits()`
`boolean`
`isSupportingBranches()`
`static CDORepository.VersioningMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORepository.VersioningMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Normal

public static final CDORepository.VersioningMode Normal

### Auditing

public static final CDORepository.VersioningMode Auditing

### Branching

public static final CDORepository.VersioningMode Branching

## Method Details

### values

public static CDORepository.VersioningMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDORepository.VersioningMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isSupportingAudits

public boolean isSupportingAudits()

### isSupportingBranches

public boolean isSupportingBranches()

### from

public static CDORepository.VersioningMode from(CDORepositoryInfo repositoryInfo)